summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/serialport/Manifest1
-rw-r--r--dev-ruby/serialport/serialport-1.4.0.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/serialport/Manifest b/dev-ruby/serialport/Manifest
index 14b25d6dcc1d..2cc76db7aba6 100644
--- a/dev-ruby/serialport/Manifest
+++ b/dev-ruby/serialport/Manifest
@@ -1 +1,2 @@
DIST serialport-1.3.2.gem 25088 BLAKE2B 035e7bdb8ef321fb67ec63283c0e4c8fbf8f909ea3495994716b95cc55f212561a09a87352aed67290d96b54bb26b7802e5ed37c27e67291d768d7eb6d30850e SHA512 ff78fa04183108c2e9c5eb4f0caa9f8072a693a2a120ca084476b4125ca32ec67a6fb268bedda3ca142a9a397dbc585dffaab88f339fccc12e5ad03a09d4c28c
+DIST serialport-1.4.0.gem 30208 BLAKE2B d6a4a5fc02ba394d09738fb02ca748c6dcafc56e40d63ce5c3fe87ce7d69259ef300417894f648bc4d5caa3586ed57d1e46feca00a163f9b464b2ee9735495c3 SHA512 2c8f9368ad02ce330001201856a4ff202d539a2538e3b3d2f4771b0c244738f50ad29db6ca94870eac750472214952afdafda0526b02d7ce1abb587b4e9e7ddd
diff --git a/dev-ruby/serialport/serialport-1.4.0.ebuild b/dev-ruby/serialport/serialport-1.4.0.ebuild
new file mode 100644
index 000000000000..d8047aac927c
--- /dev/null
+++ b/dev-ruby/serialport/serialport-1.4.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/native/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="a library for serial port (rs232) access in ruby"
+HOMEPAGE="https://github.com/hparra/ruby-serialport/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+all_ruby_prepare() {
+ # Fix the miniterm script so that it might actually work, we'll
+ # install it as example.
+ sed -i -e 's:\.\./serialport.so:serialport:' test/miniterm.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc test/miniterm.rb
+}